(function() {

    var dialog = document.getElementById('dialog-image-modal');
    dialog.returnValue = 'dialog-image-modal';

    function openCheck(dialog) {
        if(dialog.open) {
            dialog.className = "";
        } else {
            dialog.className = "";
        }
    }

    const tiles = document.getElementsByClassName('tile');
    for (var i = 0; i < tiles.length; i++) {
        // Update button opens a modal dialog
        tiles.item(i).addEventListener('click', function() {
            dialog.showModal();
            openCheck(dialog);
        });
    }
})();
